CreateEip
CreateEip
POST
/zstack/v1/eipsOperation ID
CreateEipSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe EIP name.
descriptionStringOptional. The detailed description of the EIP.
vipUuidStringRequiredThe VIP UUID.
vmNicUuidStringOptional. The VM NIC UUID.
usedIpUuidStringOptional. The IP UUID.
resourceUuidStringOptional. The resource UUID. If specified, the VM instance will use the specified value as the UUID.
systemTagsListOptional. The EIP system tags.
userTagsListOptional. The EIP user tags.
